@import (reference) '../../../less/platoreso.less';

.block.card.preview {

  &:not(:last-child) {
    margin-bottom: 0.5rem;
  }

  .cardLayout {

    font-size: 1rem; // Set the base font-size, then use ems for the rest

    .content {
      padding: 0.75em 1em;
      .name {
        line-height: 1.25em;
        &:not(:last-child) {
          margin-bottom: 0.25em;
        }
      }
      .body {
        font-size: 0.875em;
        line-height: 1.25em;
        margin-bottom: 0.25em;
      }
    }

    .stats {
      flex-shrink: 0;
      justify-content: space-around;
      border-top: 1px solid rgba(0,0,0,0.05);
      padding: 0.25em;
      font-size: 0.75em;
    }

    .metadata {
      padding: 0.5em;
      border-top: 1px solid rgba(0,0,0,0.05);
      .profile {
        margin-right: 0.25em;
      }
      .info {
        line-height: 1em;
        .author {
          font-size: 0.75em;
        }
        .created-date {
          font-size: 2/3em;
        }
      }
    }

    .cardImageContainer {
      display: flex;
      align-items: center;
      align-content: center; // Firefox seems confused and requires this one instead of align-items
      max-height: 25vh;
      .cardImage {
        // Already in semantic-ui but we don't want to lose it if they change something
        img {
          display: block;
          max-width: 100%;
        }
      }
    }
  }

  &.noContent {
    .name {
      margin-bottom: 0;
      padding: 2.5em 1em;
      text-align: center; //TODO: Maybe ;)
    }
  }

  &.no-image {
    &.badgesIn {
      .content {
        padding-left: 3rem;
      }
    }

    &.badgesOut {
      .content {
        padding-right: 3rem;
      }
    }
  }
}